@echo off
REM AceQAall: QA of all ACE files
REM
REM Run the ACE QA procedure AceQab for a set of ace files
REM
REM Usage: AceQAall ENDF [ace1] [ace2] ... [acen]
REM         ENDF: Merged ENDF data library
REM         ace1, ace2, ... acen: ACE formmatted data filenames
REM         on subdirectory defined by acef.
REM         (without extension, *.ace assumed).
REM         if ace1 is blank, all the ace files
REM         on the subdirectory defined by the environment variable
REM         acef are processed.
REM
REM By: D. Lopez Aldama, IAEA/NDS Consultant, Nov. 2004
REM
REM OS: WINDOWS/NT/2000/XP
REM
REM Used procedure: aceQAb.bat
REM
REM Setting environment
REM
    set acef=\aldama\ADS\ACE\
    set prog=\aldama\ADS\programs\
REM
REM Header
REM
   echo ***** QA for ACE files *****
   date/T
   time/T
REM
REM
REM
    if %1.==. goto end
    set f=%1
    shift
    if exist qainp.inp del qainp.inp
    if %1.==.    goto doall
    if %1.==all. goto doall
:while
    echo %1  >>qainp.inp
    shift
    if %1.==. goto exec
    goto while
:doall
    dir /B/ON %acef%*.ACE >qainp.inp
:exec
    for /F "delims=. " %%i in (qainp.inp) do call %prog%AceQab %acef%%%i.ACE %f%
    if exist qainp.inp del qainp.inp
REM
REM Done
REM
:end
    set acef=
    set prog=
    set f=
    echo.
    date/T
    time/T
    echo ***** Job ended *****
