@echo off
REM
REM AceQAb.bat %1 %2 [%3]
REM
REM Quality Assurance for ACE files
REM
REM Usage: AceQAb p1 p2 [p3]
REM        p1= ACE formatted filename
REM        p2= ENDF formatted filename
REM        p3= trigger for intermediate file deleting
REM            blank = delete all, anything else keep all
REM
REM Author: D. L. Aldama, IAEA Consultant, Jul. 2005
REM Date: Jul. 2005
REM
REM OS: WINDOWS/NT/2000/XP
REM
REM Used codes: ACELST, LINEAR, RECENT, SIGMA1, complot.
REM
REM Environment variable acef(ACE subdirectory) should be defined.
REM
   if %1.==. goto errusg
   if %2.==. goto errusg
REM
REM  Skip undesired data files
REM
   for /F "delims=. " %%i in ("%1") do set fnqa=%%i
   if %fnqa%.==%acef%lwtr01. goto reset
   if %fnqa%.==%acef%lwtr02. goto reset
   if %fnqa%.==%acef%lwtr03. goto reset
   if %fnqa%.==%acef%lwtr04. goto reset
   if %fnqa%.==%acef%lwtr05. goto reset
   if %fnqa%.==%acef%lwtr06. goto reset
   if %fnqa%.==%acef%lwtr07. goto reset
   if %fnqa%.==%acef%lwtr08. goto reset
   if %fnqa%.==%acef%lwtr09. goto reset
   if %fnqa%.==%acef%lwtr10. goto reset
   if %fnqa%.==%acef%Lwtr01. goto reset
   if %fnqa%.==%acef%Lwtr02. goto reset
   if %fnqa%.==%acef%Lwtr03. goto reset
   if %fnqa%.==%acef%Lwtr04. goto reset
   if %fnqa%.==%acef%Lwtr05. goto reset
   if %fnqa%.==%acef%Lwtr06. goto reset
   if %fnqa%.==%acef%Lwtr07. goto reset
   if %fnqa%.==%acef%Lwtr08. goto reset
   if %fnqa%.==%acef%Lwtr09. goto reset
   if %fnqa%.==%acef%Lwtr10. goto reset
   if %fnqa%.==%acef%LWTR01. goto reset
   if %fnqa%.==%acef%LWTR02. goto reset
   if %fnqa%.==%acef%LWTR03. goto reset
   if %fnqa%.==%acef%LWTR04. goto reset
   if %fnqa%.==%acef%LWTR05. goto reset
   if %fnqa%.==%acef%LWTR06. goto reset
   if %fnqa%.==%acef%LWTR07. goto reset
   if %fnqa%.==%acef%LWTR08. goto reset
   if %fnqa%.==%acef%LWTR09. goto reset
   if %fnqa%.==%acef%LWTR10. goto reset
REM
REM  Setting environment & deleting old files
REM
   set dpp02=\aldama\prepro04\
   set dcomp=\aldama\prepro04\
   set dacel=\aldama\ADS\programs\
   set daceq=\aldama\ADS\programs\
   if exist endf6.lin    del endf6.lin
   if exist endf6.rec    del endf6.rec
   if exist pp02endf.dat del pp02endf.dat
   if exist ace2endf.dat del ace2endf.dat
   if exist MT.DAT       del MT.DAT
   if exist PLOT.CHR     del PLOT.CHR
   if exist PLOT.SYM     del PLOT.SYM
   if exist acelog.log   del acelog.log
   if exist ACELST.MSG   del ACELST.MSG
   if exist ACEQA.INP    del ACEQA.INP
   if exist ACELST.INP   del ACELST.INP
   if exist LINEAR.INP   del LINEAR.INP
   if exist RECENT.INP   del RECENT.INP
   if exist SIGMA1.INP   del SIGMA1.INP
   if exist COMPLOT.INP  del COMPLOT.INP
   if exist LINEAR.LST   del LINEAR.LST
   if exist RECENT.LST   del RECENT.LST
   if exist SIGMA1.LST   del SIGMA1.LST
   if exist COMPLOT.LST  del COMPLOT.LST
   if exist %fnqa%.QA    del %fnqa%.QA
REM
REM  AceQa
REM
   if not exist %1 goto errinp
   if not exist %2 goto errinp
   echo %1  >ACEQA.INP
   echo %2 >>ACEQA.INP
   if not exist ACEQA.INP        goto errqa
   if not exist %daceq%aceqa.exe goto errqa
   %daceq%aceqa<ACEQA.INP
   if not errorlevel 0 goto reset
REM
REM  Acelst
REM
   if not exist ACELST.INP        goto errlst
   if not exist %dacel%acelst.exe goto errlst
   %dacel%acelst<ACELST.INP >ACELST.MSG
   if not errorlevel 0 goto reset
REM
REM  Linear
REM
   if not exist LINEAR.INP        goto errlin
   if not exist %dpp02%linear.exe goto errlin
   %dpp02%linear
   if not errorlevel 0 goto reset
REM
REM  Recent
REM
   if not exist ENDF6.LIN         goto errrec
   if not exist RECENT.INP        goto errrec
   if not exist %dpp02%recent.exe goto errrec
   %dpp02%recent
   if not errorlevel 0 goto reset
REM
REM  Sigma1
REM
   if not exist ENDF6.REC         goto errsig
   if not exist SIGMA1.INP        goto errsig
   if not exist %dpp02%sigma1.exe goto errsig
   %dpp02%sigma1
   if not errorlevel 0 goto reset
REM
REM  complot
REM
   if not exist PP02ENDF.DAT       goto errcom
   if not exist ACE2ENDF.DAT       goto errcom
   if not exist COMPLOT.INP        goto errcom
   if not exist %dcomp%MT.DAT      goto errcom
   if not exist %dcomp%PLOT.CHR    goto errcom
   if not exist %dcomp%PLOT.SYM    goto errcom
   if not exist %dcomp%complot.exe goto errcom
   copy %dcomp%MT.DAT
   copy %dcomp%PLOT.CHR
   copy %dcomp%PLOT.SYM
   %dcomp%complot
REM
REM  Done
REM
   if not %3.==. goto reset
   if exist endf6.lin    del endf6.lin
   if exist endf6.rec    del endf6.rec
   if exist pp02endf.dat del pp02endf.dat
   if exist ace2endf.dat del ace2endf.dat
   if exist MT.DAT       del MT.DAT
   if exist PLOT.CHR     del PLOT.CHR
   if exist PLOT.SYM     del PLOT.SYM
   if exist acelog.log   del acelog.log
   if exist ACELST.MSG   del ACELST.MSG
   if exist ACEQA.INP    del ACEQA.INP
   if exist ACELST.INP   del ACELST.INP
   if exist LINEAR.INP   del LINEAR.INP
   if exist RECENT.INP   del RECENT.INP
   if exist SIGMA1.INP   del SIGMA1.INP
   if exist COMPLOT.INP  del COMPLOT.INP
   if exist LINEAR.LST   del LINEAR.LST
   if exist RECENT.LST   del RECENT.LST
   if exist SIGMA1.LST   del SIGMA1.LST
   if exist COMPLOT.LST  del COMPLOT.LST
   goto reset
REM
REM  Usage
REM
:errusg
   echo Usage: AceQAb p1 p2 [p3]
   echo        p1= ACE formatted filename
   echo        p2= ENDF formatted filename
   echo        p3= trigger for intermediate file deleting
   echo            blank = delete all, anything else keep all
   goto end
REM
REM  Input data error
REM
:errinp
   echo Input file error
   if not exist %1 echo %1 file not found
   if not exist %2 echo %2 file not found
   goto reset
REM
REM
REM
:errqa
   echo ACEQA error
   if not exist ACEQA.INP        echo ACEQA.INP file not found
   if not exist %daceq%aceqa.exe echo %daceq%aceqa.exe not found
   goto reset
REM
REM
REM
:errlst
   echo ACELST error
   if not exist ACELST.INP        echo ACELST.INP file not found
   if not exist %dacel%acelst.exe echo %dacel%acelst.exe not found
   goto reset
REM
REM
REM
:errlin
   echo LINEAR error
   if not exist LINEAR.INP        echo LINEAR.INP file not found
   if not exist %dpp02%linear.exe echo %dpp02%linear.exe not found
   goto reset
REM
REM
REM
:errrec
   if not exist ENDF6.LIN         echo ENDF6.LIN file not found
   if not exist RECENT.INP        echo RECENT.INP file not found
   if not exist %dpp02%recent.exe echo %dpp02%recent.exe not found
   goto reset
REM
REM
REM
:errsig
   if not exist ENDF6.REC         echo ENDF6.REC file not found
   if not exist SIGMA1.INP        echo SIGMA1.INP file not found
   if not exist %dpp02%sigma1.exe echo %dpp02%sigma1.exe not found
   goto reset
REM
REM
REM
:errcom
   if not exist PP02ENDF.DAT       echo PP02ENDF.DAT file not found
   if not exist ACE2ENDF.DAT       echo ACE2ENDF.DAT file not found
   if not exist COMPLOT.INP        echo COMPLOT.INP file not found
   if not exist %dcomp%MT.DAT      echo %dcomp%MT.DAT file not found
   if not exist %dcomp%PLOT.CHR    echo %dcomp%PLOT.CHR file not found
   if not exist %dcomp%PLOT.SYM    echo %dcomp%PLOT.SYM file not found
   if not exist %dcomp%complot.exe echo %dcomp%complot.exe not found
   goto reset
REM
REM  Reset
REM
:reset
   set dpp02=
   set dacel=
   set daceq=
   set dcomp=
   set fnqa=
REM
REM  End
REM
:end
