@echo off
REM
REM EvalQAb.bat %1 %2 [%3] [4%]
REM
REM Quality Assurance for evaluations
REM Runs EVALPLOT after LINEAR+RECENT+SIGMA1
REM
REM Usage: EvalQab p1 p2 [p3] [p4]
REM        p1= ENDF formatted filename
REM        p2= ZA
REM        p3= Temperature
REM        p4= trigger for intermediate file deleting
REM            blank = delete all, anything else keep all
REM
REM Author: D. L. Aldama, IAEA Consultant
REM Date: Nov. 2004
REM
REM OS: WINDOWS/NT/2000/XP
REM
   if %1.==. goto errusg
   if %2.==. goto errusg
REM
REM  Setting environment & deleting old files
REM
   set dpp02=\aldama\PREPRO04\
   set deval=\aldama\PREPRO04\
   set dprog=\aldama\ADS\programs\
   for /F "delims=. " %%i in ("%2") do set fnqa=ZA%%i
   if exist endf6.lin    del endf6.lin
   if exist endf6.rec    del endf6.rec
   if exist pp02endf.dat del pp02endf.dat
   if exist MT.DAT       del MT.DAT
   if exist PLOT.CHR     del PLOT.CHR
   if exist PLOT.SYM     del PLOT.SYM
   if exist LINEAR.INP   del LINEAR.INP
   if exist RECENT.INP   del RECENT.INP
   if exist SIGMA1.INP   del SIGMA1.INP
   if exist EVALPLOT.INP del EVALPLOT.INP
   if exist EVALQA.INP   del EVALQA.INP
   if exist LINEAR.LST   del LINEAR.LST
   if exist RECENT.LST   del RECENT.LST
   if exist SIGMA1.LST   del SIGMA1.LST
   if exist EVALPLOT.LST del EVALPLOT.LST
   if exist %fnqa%.EQA   del %fnqa%.EQA
REM
REM  EvalQA
REM
   if not exist %1 goto errinp
   echo %1  >EVALQA.INP
   echo %2 >>EVALQA.INP
   if     %3.==. echo 0.0 >>EVALQA.INP
   if not %3.==. echo %3  >>EVALQA.INP
   if not exist EVALQA.INP        goto errqa
   if not exist %dprog%evalqa.exe goto errqa
   %dprog%evalqa<EVALQA.INP
REM
REM  Linear
REM
   if not exist LINEAR.INP        goto errlin
   if not exist %dpp02%linear.exe goto errlin
   %dpp02%linear
REM
REM  Recent
REM
   if not exist ENDF6.LIN         goto errrec
   if not exist RECENT.INP        goto errrec
   if not exist %dpp02%recent.exe goto errrec
   %dpp02%recent
REM
REM  Sigma1
REM
   if not exist ENDF6.REC         goto errsig
   if not exist SIGMA1.INP        goto errsig
   if not exist %dpp02%sigma1.exe goto errsig
   %dpp02%sigma1
REM
REM  Evalplot
REM
   if not exist PP02ENDF.DAT       goto erreva
   if not exist EVALPLOT.INP       goto erreva
   if not exist %deval%MT.DAT      goto erreva
   if not exist %deval%PLOT.CHR    goto erreva
   if not exist %deval%PLOT.SYM    goto erreva
   if not exist %deval%complot.exe goto erreva
   copy %deval%MT.DAT
   copy %deval%PLOT.CHR
   copy %deval%PLOT.SYM
   %deval%evalplot
REM
REM   Eval QA log file
REM
   echo ***** EVALQA file for %fnqa% *****  >%fnqa%.EQA
   date/T                                  >>%fnqa%.EQA
   time/T                                  >>%fnqa%.EQA
   echo ***** LINEAR *****                 >>%fnqa%.EQA
   if exist LINEAR.LST type LINEAR.LST     >>%fnqa%.EQA
   echo ***** RECENT *****                 >>%fnqa%.EQA
   if exist RECENT.LST type RECENT.LST     >>%fnqa%.EQA
   echo ***** SIGMA1 *****                 >>%fnqa%.EQA
   if exist SIGMA1.LST type SIGMA1.LST     >>%fnqa%.EQA
   echo ***** EVALPLOT *****               >>%fnqa%.EQA
   if exist EVALPLOT.LST type EVALPLOT.LST >>%fnqa%.EQA
REM
REM  Done
REM
   if not %4.==. goto reset
   if exist endf6.lin    del endf6.lin
   if exist endf6.rec    del endf6.rec
   if exist pp02endf.dat del pp02endf.dat
   if exist MT.DAT       del MT.DAT
   if exist PLOT.CHR     del PLOT.CHR
   if exist PLOT.SYM     del PLOT.SYM
   if exist LINEAR.INP   del LINEAR.INP
   if exist RECENT.INP   del RECENT.INP
   if exist SIGMA1.INP   del SIGMA1.INP
   if exist EVALPLOT.INP del EVALPLOT.INP
   if exist LINEAR.LST   del LINEAR.LST
   if exist RECENT.LST   del RECENT.LST
   if exist SIGMA1.LST   del SIGMA1.LST
   if exist EVALPLOT.LST del EVALPLOT.LST
   if exist EVALQA.INP   del EVALQA.INP
   goto reset
REM
REM  Usage
REM
:errusg
   echo Usage: AceQAb p1 p2 [p3]
   echo        p1= ENDF formatted filename
   echo        p2= ZA number
   echo        p3= trigger for intermediate file deleting
   echo            blank = delete all, anything else keep all
   goto end
REM
REM  Input data error
REM
:errinp
   echo Input file error
   if not exist %1 echo %1 file not found
   goto reset
REM
REM
REM
:errqa
   echo EVALQA error
   if not exist EVALQA.INP        echo EVALQA.INP file not found
   if not exist %dprog%evalqa.exe echo %dprog%evalqa.exe not found
   goto reset
REM
REM
REM
:errlin
   echo LINEAR error
   if not exist LINEAR.INP        echo LINEAR.INP file not found
   if not exist %dpp02%linear.exe echo %dpp02%linear.exe not found
   goto reset
REM
REM
REM
:errrec
   if not exist ENDF6.LIN         echo ENDF6.LIN file not found
   if not exist RECENT.INP        echo RECENT.INP file not found
   if not exist %dpp02%recent.exe echo %dpp02%recent.exe not found
   goto reset
REM
REM
REM
:errsig
   if not exist ENDF6.REC         echo ENDF6.REC file not found
   if not exist SIGMA1.INP        echo SIGMA1.INP file not found
   if not exist %dpp02%sigma1.exe echo %dpp02%sigma1.exe not found
   goto reset
REM
REM
REM
:errcom
   if not exist PP02ENDF.DAT        echo PP02ENDF.DAT file not found
   if not exist EVALPLOT.INP        echo EVALPLOT.INP file not found
   if not exist %deval%MT.DAT       echo %deval%MT.DAT file not found
   if not exist %deval%PLOT.CHR     echo %deval%PLOT.CHR file not found
   if not exist %deval%PLOT.SYM     echo %deval%PLOT.SYM file not found
   if not exist %deval%evalplot.exe echo %deval%evalplot.exe not found
   goto reset
REM
REM  Reset
REM
:reset
   set dpp02=
   set deval=
   set dprog=
   set fnqa=
REM
REM  End
REM
:end
