@echo off
REM
REM NjoyADS.bat: Run NJOY for ADS
REM
REM Author: D. L. Aldama, IAEA/NDS Consultant
REM Date: 07/2005
REM
REM
REM Calling procedure: fendl.bat
REM
REM Called programs: njoy
REM                  UpdXSDIR
REM
REM
REM
REM Usage: NjoyADS p1 p2
REM
REM        where p1: material identification XXAAA
REM              p2: type of calculation
REM                    p = pendf calculation
REM                    a = acer calculation
REM                    m = multigroup calculation
REM                    f = full (p+a+m)
REM                    q = (a+m) calculation
REM
REM
REM Example: Njoy H_001 f
REM
REM
REM Running NJOY
REM
   echo.
   echo Njoying %1 ...
   if %1.==. goto end
   set ic=f
   if not %2.==. set ic=%2
   if %ic%.==f. goto pendf
   if %ic%.==p. goto pendf
   goto acer
:pendf
   if not exist %1p.NJI goto end
   call %progd%njoyone %1 p
   if exist tape27 copy tape27 %pendfd%%1.PND
   if exist tape27 del tape27
   if exist output copy output %outd%%1p.OUT
   if exist output del output
:acer
   if %ic%.==f. goto acer1
   if %ic%.==a. goto acer1
   if %ic%.==q. goto acer1
   goto mgroup
:acer1
   if not exist %pendfd%%1.PND echo %pendfd%%1.PND not found
   if not exist %pendfd%%1.PND goto end
   copy %pendfd%%1.PND tape27
rem fast data
   if not exist %1a.NJI goto enda
     call %progd%njoyone %1 a 41
     if exist tape31 copy tape31 %aced%%1.ACE
     if exist tape31  del tape31
     if exist tape41 copy tape41 %aced%%1.DIR
     if exist tape41  del tape41
     if exist output copy output %outd%%1a.OUT
     if exist output del output
     if exist %1a.upx del %1a.upx
:enda
   if not exist %1b.NJI goto endb
     call %progd%njoyone %1 b 42
     if exist tape32 copy tape32 %aced%%1B.ACE
     if exist tape32  del tape32
     if exist tape42 copy tape42 %aced%%1B.DIR
     if exist tape42  del tape42
     if exist output copy output %outd%%1b.OUT
     if exist output del output
     if exist %1b.upx del %1b.upx
:endb
   if not exist %1c.NJI goto endc
     call %progd%njoyone %1 c 43
     if exist tape33 copy tape33 %aced%%1C.ACE
     if exist tape33  del tape33
     if exist tape43 copy tape43 %aced%%1C.DIR
     if exist tape43  del tape43
     if exist output copy output %outd%%1c.OUT
     if exist output del output
     if exist %1c.upx del %1c.upx
:endc
   if not exist %1d.NJI goto endd
     call %progd%njoyone %1 d 44
     if exist tape34 copy tape34 %aced%%1D.ACE
     if exist tape34  del tape34
     if exist tape44 copy tape44 %aced%%1D.DIR
     if exist tape44  del tape44
     if exist output copy output %outd%%1d.OUT
     if exist output del output
     if exist %1d.upx del %1d.upx
:endd
   if not exist %1e.NJI goto ende
     call %progd%njoyone %1 e 45
     if exist tape35 copy tape35 %aced%%1E.ACE
     if exist tape35  del tape35
     if exist tape45 copy tape45 %aced%%1E.DIR
     if exist tape45  del tape45
     if exist output copy output %outd%%1e.OUT
     if exist output del output
     if exist %1e.upx del %1e.upx
:ende
   if not exist %1f.NJI goto endf
     call %progd%njoyone %1 f 46
     if exist tape36 copy tape36 %aced%%1F.ACE
     if exist tape36  del tape36
     if exist tape46 copy tape46 %aced%%1F.DIR
     if exist tape46  del tape46
     if exist output copy output %outd%%1f.OUT
     if exist output del output
     if exist %1f.upx del %1f.upx
:endf
   if not exist %1g.NJI goto endg
     call %progd%njoyone %1 g 47
     if exist tape37 copy tape37 %aced%%1G.ACE
     if exist tape37  del tape37
     if exist tape47 copy tape47 %aced%%1G.DIR
     if exist tape47  del tape47
     if exist output copy output %outd%%1g.OUT
     if exist output del output
     if exist %1g.upx del %1g.upx
:endg
   if not exist %1h.NJI goto endh
     call %progd%njoyone %1 h 48
     if exist tape38 copy tape38 %aced%%1H.ACE
     if exist tape38  del tape38
     if exist tape48 copy tape48 %aced%%1H.DIR
     if exist tape48  del tape48
     if exist output copy output %outd%%1h.OUT
     if exist output del output
     if exist %1h.upx del %1h.upx
:endh
   if not exist %1i.NJI goto endi
     call %progd%njoyone %1 i 49
     if exist tape39 copy tape39 %aced%%1I.ACE
     if exist tape39  del tape39
     if exist tape49 copy tape49 %aced%%1I.DIR
     if exist tape49  del tape49
     if exist output copy output %outd%%1i.OUT
     if exist output del output
     if exist %1i.upx del %1i.upx
:endi
   if not exist %1j.NJI goto endj
     call %progd%njoyone %1 j 40
     if exist tape30 copy tape30 %aced%%1J.ACE
     if exist tape30  del tape30
     if exist tape40 copy tape40 %aced%%1J.DIR
     if exist tape40  del tape40
     if exist output copy output %outd%%1j.OUT
     if exist output del output
     if exist %1j.upx del %1j.upx
:endj
REM thermal data
   if not exist %1q.NJI goto endq
     call %progd%njoyone %1 q 81
     if exist output copy output %outd%%1q.OUT
     if exist output del output
     if not exist %1q.upx goto endq
     if not exist tape71  goto endq
     if not exist tape81  goto endq
     for /F "delims= " %%i in (%1q.upx) do copy tape71 %aced%%%i.ACE
     for /F "delims= " %%i in (%1q.upx) do copy tape81 %aced%%%i.DIR
     del %1q.upx
     del tape71
     del tape81
:endq
   if not exist %1r.NJI goto endr
     call %progd%njoyone %1 r 82
     if exist output copy output %outd%%1r.OUT
     if exist output del output
     if not exist %1r.upx goto endr
     if not exist tape72  goto endr
     if not exist tape82  goto endr
     for /F "delims= " %%i in (%1r.upx) do copy tape72 %aced%%%i.ACE
     for /F "delims= " %%i in (%1r.upx) do copy tape82 %aced%%%i.DIR
     del %1r.upx
     del tape72
     del tape82
:endr
   if not exist %1s.NJI goto ends
     call %progd%njoyone %1 s 83
     if exist output copy output %outd%%1s.OUT
     if exist output del output
     if not exist %1s.upx goto ends
     if not exist tape73  goto ends
     if not exist tape83  goto ends
     for /F "delims= " %%i in (%1s.upx) do copy tape73 %aced%%%i.ACE
     for /F "delims= " %%i in (%1s.upx) do copy tape83 %aced%%%i.DIR
     del %1s.upx
     del tape73
     del tape83
:ends
   if not exist %1t.NJI goto endt
     call %progd%njoyone %1 t 84
     if exist output copy output %outd%%1t.OUT
     if exist output del output
     if not exist %1t.upx goto endt
     if not exist tape74  goto endt
     if not exist tape84  goto endt
     for /F "delims= " %%i in (%1t.upx) do copy tape74 %aced%%%i.ACE
     for /F "delims= " %%i in (%1t.upx) do copy tape84 %aced%%%i.DIR
     del %1t.upx
     del tape74
     del tape84
:endt
   if not exist %1u.NJI goto endu
     call %progd%njoyone %1 u 85
     if exist output copy output %outd%%1u.OUT
     if exist output del output
     if not exist %1u.upx goto endu
     if not exist tape75  goto endu
     if not exist tape85  goto endu
     for /F "delims= " %%i in (%1u.upx) do copy tape75 %aced%%%i.ACE
     for /F "delims= " %%i in (%1u.upx) do copy tape85 %aced%%%i.DIR
     del %1u.upx
     del tape75
     del tape85
:endu
   if not exist %1v.NJI goto endv
     call %progd%njoyone %1 v 86
     if exist output copy output %outd%%1v.OUT
     if exist output del output
     if not exist %1v.upx goto endv
     if not exist tape76  goto endv
     if not exist tape86  goto endv
     for /F "delims= " %%i in (%1v.upx) do copy tape76 %aced%%%i.ACE
     for /F "delims= " %%i in (%1v.upx) do copy tape86 %aced%%%i.DIR
     del %1v.upx
     del tape76
     del tape86
:endv
   if not exist %1w.NJI goto endw
     call %progd%njoyone %1 w 87
     if exist output copy output %outd%%1w.OUT
     if exist output del output
     if not exist %1w.upx goto endw
     if not exist tape77  goto endw
     if not exist tape87  goto endw
     for /F "delims= " %%i in (%1w.upx) do copy tape77 %aced%%%i.ACE
     for /F "delims= " %%i in (%1w.upx) do copy tape87 %aced%%%i.DIR
     del %1w.upx
     del tape77
     del tape87
:endw
   if not exist %1x.NJI goto endx
     call %progd%njoyone %1 x 88
     if exist output copy output %outd%%1x.OUT
     if exist output del output
     if not exist %1x.upx goto endx
     if not exist tape78  goto endx
     if not exist tape88  goto endx
     for /F "delims= " %%i in (%1x.upx) do copy tape78 %aced%%%i.ACE
     for /F "delims= " %%i in (%1x.upx) do copy tape88 %aced%%%i.DIR
     del %1x.upx
     del tape78
     del tape88
:endx
   if not exist %1y.NJI goto endy
     call %progd%njoyone %1 y 89
     if exist output copy output %outd%%1y.OUT
     if exist output del output
     if not exist %1y.upx goto endy
     if not exist tape79  goto endy
     if not exist tape89  goto endy
     for /F "delims= " %%i in (%1y.upx) do copy tape79 %aced%%%i.ACE
     for /F "delims= " %%i in (%1y.upx) do copy tape89 %aced%%%i.DIR
     del %1y.upx
     del tape79
     del tape89
:endy
   if not exist %1z.NJI goto endz
     call %progd%njoyone %1 z 90
     if exist output copy output %outd%%1z.OUT
     if exist output del output
     if not exist %1z.upx goto endz
     if not exist tape80  goto endz
     if not exist tape90  goto endz
     for /F "delims= " %%i in (%1z.upx) do copy tape80 %aced%%%i.ACE
     for /F "delims= " %%i in (%1z.upx) do copy tape90 %aced%%%i.DIR
     del %1z.upx
     del tape80
     del tape90
:endz
   if exist tape27 del tape27
:mgroup
   if %ic%.==f. goto mg
   if %ic%.==m. goto mg
   if %ic%.==q. goto mg
   goto end
:mg
   if not exist %pendfd%%1.PND echo %pendfd%%1.PND not found
   if not exist %pendfd%%1.PND goto end
   copy %pendfd%%1.PND tape27
   if not exist %1m.NJI goto end
   call %progd%njoyone %1 m
   if exist tape51 copy tape51 %matxsd%%1.MXS
   if exist tape51 del tape51
   if exist output copy output %outd%%1m.OUT
   if exist output del output
   if exist tape27 del tape27
:end
   set ic=
REM
REM Done
REM
